<?php
// wbb imports
require_once(WBB_DIR.'lib/data/boxes/PortalBox.class.php');
require_once(WBB_DIR.'lib/data/boxes/StandardPortalBox.class.php');

/**
 * This box shows the current birthdays
 *
 * @package		com.woltlab.community.portal.birthday
 * @author		WoltLab Community
 * @copyright	2009 WoltLab Community
 * @license		GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	data.boxes
 * @category	Portal
 */
class BirthdayBox extends PortalBox implements StandardPortalBox {
	
	/**	 
	 * @see StandardPortalBox::readData()
	 */
	public function readData() {
		if (empty($this->cacheData)) $this->empty = true;
	}

	/**	 
	 * @see StandardPortalBox::getTemplateName()
	 */
	public function getTemplateName() {
		return 'birthdayBox';
	}
}
?>